> ## Documentation Index
> Fetch the complete documentation index at: https://developers.myhero.so/llms.txt
> Use this file to discover all available pages before exploring further.

# List document transfers

> Returns all document transfers where the authenticated user is either the sender or the recipient.

Results are sorted newest-first.



## OpenAPI

````yaml get /document/transfers
openapi: 3.1.0
info:
  title: HERO API
  version: current
  description: |-
    The HERO REST API.

    See https://developers.myhero.so for the rendered docs.
servers:
  - url: https://app.myhero.so
security: []
paths:
  /document/transfers:
    get:
      tags:
        - Documents
      summary: List document transfers
      description: >-
        Returns all document transfers where the authenticated user is either
        the sender or the recipient.


        Results are sorted newest-first.
      operationId: getDocumentTransfers
      responses:
        '200':
          description: 200 response
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: array
                    items:
                      type: object
                      properties:
                        _id:
                          type: string
                        ownerId:
                          type: string
                        recipientId:
                          type: string
                        recipientEmail:
                          type: string
                        sender:
                          type: object
                          properties:
                            displayName:
                              type: string
                            email:
                              type: string
                          required:
                            - displayName
                            - email
                        data:
                          type: object
                          properties:
                            documentIds:
                              type: array
                              items:
                                type: string
                            rootDocument:
                              type: object
                              properties:
                                projectId:
                                  type: string
                                name:
                                  type: string
                                type:
                                  type: string
                                  enum:
                                    - FOLDER
                                    - FILE
                                    - SUBFILE
                                    - EXTERNAL
                                    - PROJECT
                              required:
                                - projectId
                                - name
                                - type
                          required:
                            - documentIds
                            - rootDocument
                        expires:
                          type: number
                        status:
                          type: string
                          enum:
                            - pending
                            - accepted
                            - declined
                            - expired
                        invitationId:
                          type: string
                        createdAt:
                          type: number
                        updatedAt:
                          type: number
                      required:
                        - _id
                        - ownerId
                        - recipientId
                        - recipientEmail
                        - sender
                        - data
                        - expires
                        - status
                        - invitationId
                        - createdAt
                        - updatedAt
                required:
                  - data
      security:
        - bearerAuth: []
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: HERO personal access token

````